function [ssqRes]=ssq(X)
% calculates sum of squares of X
% -------------------------------------------------------------------------
% Input
% 
% X: a matrix
% -------------------------------------------------------------------------
% Output
%
% ssqRes: sum of squares of the entries of matrix X
% -------------------------------------------------------------------------
% Reference
%
% Daniel J. Vis, Johan A. Westerhuis, Huub C. J. Hoefsloot, Hanno Pijl, 
% Ferdinand Roelfsema, Jan van der Greef, and Age K. Smilde 
% Endocrine pulse identification using penalized methods and a minimum set 
% of assumptions.
% Am J Physiol Endocrinol Metab Vol. 298:E146-E155, 2010
% -------------------------------------------------------------------------

% Author
% Danil J. Vis, 8 January 2008
% -------------------------------------------------------------------------
% Version
% R2007a
% -------------------------------------------------------------------------

ssqRes=sum(sum(X.^2));

% -------------------------------------------------------------------------
% Copyright Notice
% This is a license to use and modify SOFTWARE & DATA
% produced by THE BIOSYSTEMS DATA ANALYSIS GROUP (BDA Group)
% OF THE UNIVERSITY OF AMSTERDAM
%
% If you use, modify or redistribute the SOFTWARE & DATA and/or
% your source modifications, you agree
%
% (i) to use the SOFTWARE & DATA and/or your source modifications
% solely as part of your research and not in any commercial
% product ;
%
% (ii) that the SOFTWARE & DATA and/or your source modifications
% will not be distributed for profit ;
%
% (iii) all copyright notices and this license note with the
% SOFTWARE & DATA are retained any redistribution of
% the SOFTWARE & DATA, or any portion thereof ;
%
% (iv) to indemnify, hold harmless, and defend the Biosystems
% Data Analysis Group of the University of Amsterdam
% from and against any claims or lawsuits that arise or
% result from the use of the SOFTWARE & DATA or your source
% modifications .
%
% (v) to properly reference the SOFTWARE & DATA when used in
% your research in any publication that may result from
% that research .
%
% Reserved Rights. The Biosystems Data Analysis Group of the
% University of Amsterdam retain title and all ownership
% rights to the SOFTWARE & DATA.
%
% Copyright 2010 Biosystems Data Analysis Group ;
% University of Amsterdam
%

